import { ConstraintConfig } from './config/ConstraintConfig';
import { RuleConfig } from './config/RuleConfig';
import { Validator } from './Validator';
interface RuleConfigInterface {
    withConstraint: (constraintConfig: ConstraintConfig) => RuleConfigInterface;
    withFieldValueConstraint: (path: string, value: string | number, errorMessage?: string) => RuleConfigInterface;
    withField: (fieldName: string) => RuleConfiguratorInterface;
}
interface RuleConfiguratorInterface {
    withConstraint: (constraintConfig: ConstraintConfig) => RuleConfigInterface;
    withFieldValueConstraint: (path: string, value: string | number, errorMessage?: string) => RuleConfigInterface;
    withField: (fieldName: string) => RuleConfiguratorInterface;
    newRule: () => RuleConfigInterface;
    validate: (ruleConfig: RuleConfig) => RuleConfiguratorInterface;
    build: () => Validator;
}
export declare const validatorBuilder: () => {
    newRule: () => RuleConfigInterface;
};
export {};
