import { AbstractConstraint } from './AbstractConstraint';
import { Data } from '../Data';
/**
 * This constraint evaluates a set of sub-constraints.
 * Its return value depends on the result of the sub-constraints and on the algorithm to be used to compute the result:
 * 1) If `algorithm` is `all` then all sub-constraints must be respected for this constraint to return `true`
 * 2) If `algorithm` is `any` then at least one sub-constraint must be respected for this constraint to return `true`
 * The constraint type for this constraint is `COMPOSITE_CONSTRAINT`
 * Configuration:
 * * type: 'COMPOSITE_CONSTRAINT'
 * * algorithm: can be `all` or `any`
 * subRules: [ ] list of constraints to be evaluated.
 */
export declare class CompositeConstraint extends AbstractConstraint {
    isRespected(data: Data): boolean;
}
export declare const NAME = "COMPOSITE_CONSTRAINT";
