import { EvaluationResult, Rule } from '../Rule';
import { Data } from '../Data';
import { RuleConfig } from '../config/RuleConfig';
/**
 * A rule whose result depends on the result of a list of sub-rules.
 * A sub-rule could be another composite rule, to allow the configuration of complex validation trees.
 * Configuration:
 * type: 'COMPOSITE'
 * algorithm: 'all' | 'any'. If `all`, the all the sub-rules must return `true`, if `any` at least one of the sub-rules ust return `true`
 * subrules: [] The list of sub-rules.
 */
export declare class CompositeRule implements Rule {
    static NAME: string;
    private readonly config;
    constructor(config: RuleConfig);
    /**
     * Evaluate the composite rule.
     * @param path
     * @param data
     */
    evaluate(path: string, data: Data): EvaluationResult;
    type: () => string;
}
