import { EvaluationResult, Rule } from '../Rule';
import { Data } from '../Data';
import { RuleConfig } from '../config/RuleConfig';
/**
 * A generic validator used to validate simple rules, specified passing a validatorFunction to the constructor.
 */
export declare class GenericValidator implements Rule {
    private readonly config;
    private readonly validatorFunction;
    private readonly defaultErrorMessage;
    private readonly evaluateEmptyString;
    /**
     * Constructor
     * @param config the rule configuration
     * @param validatorFunction the validatorFunction to be executed when this rule is checked
     * @param defaultErrorMessage the default error message to return in case of failure if a custom one is not specified.
     */
    constructor(config: RuleConfig, validatorFunction: (value: string) => boolean, defaultErrorMessage: string, evaluateEmptyString?: boolean);
    evaluate(path: string, data: Data): EvaluationResult;
    type: () => string;
}
