import * as ExactValueRule from './ExactValueRule';
import * as MaxLengthRule from './MaxLengthRule';
import * as RequiredRule from './RequiredRule';
import * as ValidUrlPathRule from './ValidUrlPathRule';
import * as ValidUrlRule from './ValidUrlRule';
import * as LengthRule from './LengthRule';
import { CompositeRule } from './CompositeRule';
import { RuleConfig } from '../config/RuleConfig';
export declare const RULE_DICTIONARY: {
    [x: string]: ((config: RuleConfig) => import("./GenericValidator").GenericValidator) | ((config: RuleConfig) => CompositeRule);
    EXACT_VALUE: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
    MAXLENGTH: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
    REQUIRED: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
    VALID_URL_PATH: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
    VALID_URL: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
    LENGTH: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
};
