"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isAscii', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isAscii',
    });
    it('Should evaluate if string is an ASCII string', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: ['abcdefghi 1=+-[]{}$%^!@><,./'],
            invalid: ['abcdefghi-*/\u1000'],
        });
    });
});
//# sourceMappingURL=IsAsciiRule.test.js.map