"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isBIC', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isBIC',
    });
    it('Should evaluate if string is an BIC string', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: ['AAAABBCC', 'AAAABBCCDDD'],
            invalid: ['AAAABBCCDDDE', 'AAAABBCCDD', 'AAAABBC', 'AAAAB-CC'],
        });
    });
});
//# sourceMappingURL=IsBICRule.test.js.map