"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isBase32', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isBase32',
    });
    it('Should evaluate if string is a Base32 string', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: ['JBSWY3DPEB3W64TMMQ======'],
            invalid: ['ABCDEFGh', 'ABCDEFGHI1'],
        });
    });
});
//# sourceMappingURL=IsBase32Rule.test.js.map