"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isFQDN', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isFQDN',
    });
    it('Should evaluate if string is a valid FQDN', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: ['mickey.mouse.it', 'mickey.mouse'],
            invalid: ['mickey..mouse', 'mouse', '.mickey.mouse'],
        });
    });
});
//# sourceMappingURL=IsFQDNRule.test.js.map