"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isHexadecimal', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isHexadecimal',
    });
    it('Should evaluate if string is a valid hex string', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: ['1234567890ABCDEF'],
            invalid: ['1234567890ABCDEFG'],
        });
    });
    it('Undefined should return valid', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: [undefined],
            invalid: ['1234567890ABCDEFG'],
        });
    });
});
//# sourceMappingURL=IsHexadecimalRule.test.js.map