"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isIP', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isIP',
    });
    it('Should evaluate if string is a valid IP address', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: [
                '10.10.10.1',
                '192.168.10.1',
                '2001:b07:5d26:3934:105e:875f:994f:8b28',
            ],
            invalid: ['192.168.10', 'localhost'],
        });
    });
});
//# sourceMappingURL=IsIP.test.js.map