"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isMagnetURI', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isMagnetURI',
    });
    it('Should validate magnet URI', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: [
                'magnet:?xt=urn:btih:06E2A9683BF4DA92C73A661AC56F0ECC9C63C5B4&dn=helloword2000&tr=udp://helloworld:1337/announce',
            ],
            invalid: [
                ':?xt=urn:btih:06E2A9683BF4DA92C73A661AC56F0ECC9C63C5B4&dn=helloword2000&tr=udp://helloworld:1337/announce',
            ],
        });
    });
});
//# sourceMappingURL=IsMagnetURI.test.js.map