"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isMongoId', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isMongoId',
    });
    it('Should evaluate if string is a valid Mongo ID', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: ['507f1f77bcf86cd799439011'],
            invalid: [
                '507f1f77bcf86cd7994390',
                '507f1f77bcf86cd79943901z',
                '507f1f77bcf86cd799439011 ',
                '507f1f77bcf 6cd799439011',
                ' 507f1f77bcf86cd799439011',
            ],
        });
    });
});
//# sourceMappingURL=IsMongoId.test.js.map